## nfswatch 4.99.11

=== Makefile ===
#
# $Id: Makefile,v 1.11 2009/02/01 23:33:37 c4chris Exp $
#
# Makefile for nfswatch.
#
# David A. Curry				Jeffrey C. Mogul
# Purdue University				Digital Equipment Corporation
# Engineering Computer Network			Western Research Laboratory
# 1285 Electrical Engineering Building		250 University Avenue
# West Lafayette, IN 47907-1285			Palo Alto, CA 94301
# davy@ecn.purdue.edu				mogul@decwrl.dec.com
#

#
# Choose an appropriate value for "OS" from the ones below:
#
#	IRIX40		Silicon Graphics IRIX 4.0
#	IRIX51		Silicon Graphics IRIX 5.1
#	SUNOS4		Sun Microsystems SunOS 4.x
#	SUNOS5		Sun Microsystems SunOS 5.x (Solaris 2.x)
#	SVR4		AT&T System V Release 4
#	ULTRIX		Digital Equipment Ultrix 4.x
#	DECOSF		Digital Equipment OSF/1 V1.3 and later
#
OS=

#
# Set BINDIR, MANDIR, and MANSUF to appropriate values for your system.
#
DESTDIR=
BINDIR=	/usr/sbin
MANDIR=	/usr/share/man/man8
INSTALL=install
MANSUF=	8.gz
STRIP=	-s

IRIX40CFLAGS=	-DIRIX40 -O -cckr
IRIX51CFLAGS=	-DIRIX51 -DIRIX40 -O -cckr -D_BSD_SIGNALS
IRIX6CFLAGS=	-DIRIX6 -DIRIX51 -DIRIX40 -O -D_BSD_SIGNALS
SUNOS4CFLAGS=	-DSUNOS4 -O
SUNOS5CFLAGS=	-DSUNOS5 -O
SUNOS54CFLAGS=	-DSUNOS54 -DSUNOS5 -O
SUNOS55CFLAGS=	-DSUNOS55 -DSUNOS5 -O -Wall
SUNOS58CFLAGS=	-DSUNOS58 -DSUNOS5 -O -Wall
SVR4CFLAGS=	-DSVR4 -O
ULTRIXCFLAGS=	-DULTRIX -O
DECOSFCFLAGS=	-DDECOSF -O
LINUXCFLAGS=	-DLINUX -O -Wall -W $(RPM_OPT_FLAGS)

IRIX40LIBS=	-lcurses -ltermcap -lsun -lm
IRIX51LIBS=	-lcurses -ltermcap -lm
SUNOS4LIBS=	-lcurses -ltermcap -lm
SUNOS5LIBS=	-lcurses -lnsl -lsocket -lm
SUNOS54LIBS=	-lcurses -lnsl -lsocket -lm
SUNOS55LIBS=	-lcurses -lnsl -lsocket -lm
SUNOS58LIBS=	-lcurses -lnsl -lsocket -lm
SVR4LIBS=	-lcurses -lnsl -lsocket -lm
ULTRIXLIBS=	-lcurses -ltermcap -lm
#DECOSFLIBS=	-lcurses -ltermcap -lm
DECOSFLIBS=	-lcurses -ltermcap -lm pfopen.c
LINUXLIBS=	-lpcap -lncurses -lm

CFLAGS=
LIBS=

PRINT=	enscript -r -G
SHELL=	/bin/sh

HDRS=	externs.h nfswatch.h rpcdefs.h screen.h
SRCS=	dlpi.c logfile.c netaddr.c nfswatch.c nit.c pfilt.c pktfilter.c \
	rpcfilter.c rpcutil.c screen.c snoop.c util.c xdr.c nfslogsum.c \
	parsenfsfh.c linux.c
OBJS=	dlpi.o logfile.o netaddr.o nfswatch.o nit.o pfilt.o pktfilter.o \
	rpcfilter.o rpcutil.o screen.o snoop.o util.o xdr.o parsenfsfh.o \
	linux.o

all: os-nfswatch os-nfslogsum

os-nfswatch:
	@if [ "$(OS)" = "" ]; then \
	    OS=`uname -s -r`; \
	fi; \
	case "$$OS" in \
	LINUX\ *|Linux\ *) \
	    make CFLAGS="$(LINUXCFLAGS)" LIBS="$(LINUXLIBS)" nfswatch; \
	    ;; \
	IRIX40|IRIX\ 4*) \
	    make CFLAGS="$(IRIX40CFLAGS)" LIBS="$(IRIX40LIBS)" nfswatch; \
	    ;; \
	IRIX51|IRIX\ 5*) \
	    make CFLAGS="$(IRIX51CFLAGS)" LIBS="$(IRIX51LIBS)" nfswatch; \
	    ;; \
	IRIX6|IRIX\ 6*) \
	    make CC=gcc CFLAGS="$(IRIX6CFLAGS)" LIBS="$(IRIX51LIBS)" nfswatch; \
	    ;; \
	SUNOS4|SunOS\ 4*) \
	    make CFLAGS="$(SUNOS4CFLAGS)" LIBS="$(SUNOS4LIBS)" nfswatch; \
	    ;; \
	SUNOS5|SunOS\ 5.[0123]) \
	    make CFLAGS="$(SUNOS5CFLAGS)" LIBS="$(SUNOS5LIBS)" nfswatch; \
	    ;; \
	SUNOS54|SunOS\ 5.4) \
	    make CFLAGS="$(SUNOS54CFLAGS)" LIBS="$(SUNOS54LIBS)" nfswatch; \
	    ;; \
	SUNOS55|SunOS\ 5.[567]) \
	    make CFLAGS="$(SUNOS55CFLAGS)" LIBS="$(SUNOS55LIBS)" nfswatch; \
	    ;; \
	SUNOS58|SunOS\ 5.*) \
	    make CFLAGS="$(SUNOS58CFLAGS)" LIBS="$(SUNOS58LIBS)" nfswatch; \
	    ;; \
	SVR4|System\ V\ Release\ 4*) \
	    make CFLAGS="$(SVR4CFLAGS)" LIBS="$(SVR4LIBS)" nfswatch; \
	    ;; \
	ULTRIX\ *|Ultrix\ *|ultrix\ *) \
	    make CFLAGS="$(ULTRIXCFLAGS)" LIBS="$(ULTRIXLIBS)" nfswatch; \
	    ;; \
	OSF1\ *|OSF\ *) \
	    make CFLAGS="$(DECOSFCFLAGS)" LIBS="$(DECOSFLIBS)" nfswatch; \
	    ;; \
	*) \
	    echo "OS=$$OS is not a supported operating system."; \
	    exit 1; \
	    ;; \
	esac

os-nfslogsum:
	@if [ "$(OS)" = "" ]; then \
	    OS=`uname -s -r`; \
	fi; \
	case "$$OS" in \
	LINUX|Linux\ *) \
	    make CFLAGS="$(LINUXCFLAGS)" LIBS="$(LINUXLIBS)" nfslogsum; \
	    ;; \
	IRIX40|IRIX\ 4*) \
	    make CFLAGS="$(IRIX40CFLAGS)" LIBS="$(IRIX40LIBS)" nfslogsum; \
	    ;; \
	IRIX51|IRIX\ 5*) \
	    make CFLAGS="$(IRIX51CFLAGS)" LIBS="$(IRIX51LIBS)" nfslogsum; \
	    ;; \
	IRIX6|IRIX\ 6*) \
	    make CC=gcc CFLAGS="$(IRIX6CFLAGS)" LIBS="$(IRIX51LIBS)" nfslogsum; \
	    ;; \
	SUNOS4|SunOS\ 4*) \
	    make CFLAGS="$(SUNOS4CFLAGS)" LIBS="$(SUNOS4LIBS)" nfslogsum; \
	    ;; \
	SUNOS5|SunOS\ 5*) \
	    make CFLAGS="$(SUNOS5CFLAGS)" LIBS="$(SUNOS5LIBS)" nfslogsum; \
	    ;; \
	SVR4|System\ V\ Release\ 4*) \
	    make CFLAGS="$(SVR4CFLAGS)" LIBS="$(SVR4LIBS)" nfslogsum; \
	    ;; \
	ULTRIX\ *|Ultrix\ *|ultrix\ *) \
	    make CFLAGS="$(ULTRIXCFLAGS)" LIBS="$(ULTRIXLIBS)" nfslogsum; \
	    ;; \
	OSF1\ *|OSF\ *) \
	    make CFLAGS="$(DECOSFCFLAGS)" LIBS="$(DECOSFLIBS)" nfslogsum; \
	    ;; \
	*) \
	    echo "OS=$$OS is not a supported operating system."; \
	    exit 1; \
	    ;; \
	esac

nfswatch: nfswatch.o $(OBJS)
	$(CC) -o nfswatch $(OBJS) $(LIBS)

nfslogsum: nfslogsum.o
	$(CC) -o nfslogsum nfslogsum.o

install: bininstall maninstall

bininstall: all
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -c $(STRIP) nfswatch $(DESTDIR)$(BINDIR)
	$(INSTALL) -c $(STRIP) nfslogsum $(DESTDIR)$(BINDIR)

maninstall: nfswatch-man nfslogsum-man

nfswatch-man: $(DESTDIR)$(MANDIR)/nfswatch.$(MANSUF)

$(DESTDIR)$(MANDIR)/nfswatch.$(MANSUF): nfswatch.8
	mkdir -p $(DESTDIR)$(MANDIR)
	case "$(MANSUF)" in \
	*.gz) \
	    SUF=`echo $(MANSUF)|sed 's/\.gz//'`; \
	    $(INSTALL) -c -m 0644 nfswatch.8 $(DESTDIR)$(MANDIR)/nfswatch.$$SUF; \
	    gzip --best $(DESTDIR)$(MANDIR)/nfswatch.$$SUF; \
	    ;; \
	*) \
	    $(INSTALL) -c -m 0644 nfswatch.8 $(DESTDIR)$(MANDIR)/nfswatch.$(MANSUF); \
	    ;; \
	esac

nfslogsum-man: $(DESTDIR)$(MANDIR)/nfslogsum.$(MANSUF)

$(DESTDIR)$(MANDIR)/nfslogsum.$(MANSUF): nfslogsum.8
	mkdir -p $(DESTDIR)$(MANDIR)
	case "$(MANSUF)" in \
	*.gz) \
	    SUF=`echo $(MANSUF)|sed 's/\.gz//'`; \
	    $(INSTALL) -c -m 0644 nfslogsum.8 $(DESTDIR)$(MANDIR)/nfslogsum.$$SUF; \
	    gzip --best $(DESTDIR)$(MANDIR)/nfslogsum.$$SUF; \
	    ;; \
	*) \
	    $(INSTALL) -c -m 0644 nfslogsum.8 $(DESTDIR)$(MANDIR)/nfslogsum.$(MANSUF); \
	    ;; \
	esac

print:
	$(PRINT) Makefile $(HDRS) $(SRCS)

clean:
	rm -f \#* a.out core nfswatch nfslogsum nfslogsum.o $(OBJS)
	rm -f *.BAK *.CKP

dlpi.o:		dlpi.c nfswatch.h externs.h os.h nfsfh.h
logfile.o:	logfile.c nfswatch.h externs.h screen.h os.h nfsfh.h
netaddr.o:	netaddr.c nfswatch.h externs.h os.h nfsfh.h
nfslogsum.o:	nfslogsum.c nfswatch.h os.h nfsfh.h
nfswatch.o:	nfswatch.c nfswatch.h os.h nfsfh.h
nit.o:		nit.c nfswatch.h externs.h os.h nfsfh.h
pfilt.o:	pfilt.c nfswatch.h externs.h os.h nfsfh.h
pktfilter.o:	pktfilter.c nfswatch.h externs.h os.h nfsfh.h
rpcfilter.o:	rpcfilter.c nfswatch.h externs.h rpcdefs.h os.h nfsfh.h
rpcutil.o:	rpcutil.c nfswatch.h externs.h rpcdefs.h os.h nfsfh.h
screen.o:	screen.c nfswatch.h externs.h screen.h os.h nfsfh.h
snoop.o:	snoop.c nfswatch.h externs.h os.h nfsfh.h
linux.o:	linux.c nfswatch.h externs.h os.h nfsfh.h
util.o:		util.c nfswatch.h externs.h screen.h os.h nfsfh.h
xdr.o:		xdr.c nfswatch.h os.h nfsfh.h
parsenfsfh.o:	parsenfsfh.c nfsfh.h

=== debian/changelog ===
nfswatch (4.99.11-9) unstable; urgency=medium

  * Use mvaddstr() instead of mvprintw() for dynamic string (Closes: #997185)
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Declare compliance with Debian policy 4.6.0
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Nov 2021 10:58:26 +0100

nfswatch (4.99.11-8) unstable; urgency=medium

  * Fix typo causing nfswatch to still use partially the glibc SunRPC
    implementation.  Thanks to Aurelien Jarno (Closes: #968732)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Aug 2020 17:30:57 +0200

nfswatch (4.99.11-7) unstable; urgency=medium

  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * Switch from glibc SunRPC libary to libtirpc.
    Add Build-Depends on libtirpc-dev and pkg-config and pass include
    directory for libtirpc headers on build and link libtirpc library.
    Thanks to Ben Hutchings (Closes: #954380)
  * debian/control: Wrap and sort fields
  * debian/watch: Bump format to version 4.
    Use @PACKAGE@, @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions.
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.5.0
  * Bump Debhelper compat level to 13

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 18 Apr 2020 23:33:26 +0200

nfswatch (4.99.11-6) unstable; urgency=medium

  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Inject additional CFLAGS from dpkg-buildflags into build
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 21:38:51 +0100

nfswatch (4.99.11-5) unstable; urgency=medium

  * debian/changelog: Remove trailing whitespaces
    bp-Dch: Ignore
  * Add an initial Gitlab CI config file
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Fix build failure ('major'/'minor' undefined) in glibc 2.28.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #916003)
  * Declare compliance with Debian policy 4.2.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Dec 2018 14:40:06 +0100

nfswatch (4.99.11-4) unstable; urgency=medium

  * Add Vcs-* fields for packaging hosting on salsa.debian.org
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 11
  * Use HTTPS transport protocol for specification URL of copyright format
  * Declare compliance with Debian policy 4.1.3
  * debian/copyright: Clarify license short-names.
    Use BSD-3-clause short name and remove ambiguous BSD keyword.
    Move BSD-3-clause license to own standalone stanza.
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Mar 2018 16:20:26 +0100

nfswatch (4.99.11-3) unstable; urgency=low

  * Add fix-typo-in-error-message.patch patch.
    Fixes typo in error message "nfswatch: must specify file list with -f"
    instead of "nfswatch: must specify file list with -fi."
  * Update copyright years for debian/* packaging files
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 26 Sep 2013 20:51:44 +0200

nfswatch (4.99.11-2) unstable; urgency=low

  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/control: Drop the DM-Upload-Allowed control field.
  * Bump Debhelper compat level to 9.
    Adjust Build-Depends for debehlper to (>= 9).
  * Update debian/copyright file.
    Update copyright years for debian/* packaging.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 30 Mar 2012 07:19:17 +0200

nfswatch (4.99.11-1) unstable; urgency=low

  * New upstream version
  * Drop 02-545853-Fix-FTBFS-on-alpha.patch patch as it is applied upstream.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 25 Apr 2010 14:15:53 +0200

nfswatch (4.99.10-5) unstable; urgency=low

  * Convert to '3.0 (quilt)' package source format.
    - Remove README.source file, as not needed with '3.0 (quilt) format.
    - Drop use of quilt in debian/rules and in Build-Depends in control file.
  * Bump Standards-Version to 3.8.4 (no changes).
  * debian/copyright: Referesh Format-Specification URL and update Copyright
    years for debian/* packaging.
  * Refresh 02-545853-Fix-FTBFS-on-alpha.patch with proposed patch by
    upstream.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 22 Apr 2010 13:31:44 +0200

nfswatch (4.99.10-4) unstable; urgency=low

  * Add 02-545853-Fix-FTBFS-on-alpha.patch patch to not include nfs/nfs.h
    in rpcfilter.c. Fixes FTBFS on alpha architecture (Closes: 545853).
    Thanks to Karl Goetz for giving access to an alpha machine.
  * debian/control: Expand the to short long-description about what nfswatch
    can monitor.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 11 Sep 2009 08:29:07 +0200

nfswatch (4.99.10-3) unstable; urgency=low

  * New Maintainer (Closes: #543937).
  * Add debian/watch file to source package.
  * Add README.source to document the patch system which is used. This
    is recommended since Debian Policy 3.8.0.
  * Refresh header of patch 01-manpage.patch
  * debian/copyright:
    - Update debian/* packaging section adding myself to Copyright
    - Update file pseudo-headers for Format-Specification in DEP5.
  * Minimize debian/rules using override targets and tiny rules file.
    Adjust Build-Depends on debhelper (>= 7.0.50) and quilt (>= 0.46-7)
    for required versions.
  * Add DM-Upload-Allowed: yes field.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 05 Sep 2009 12:13:10 +0200

nfswatch (4.99.10-2) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.



=== debian/control ===
Source: nfswatch
Section: admin
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncurses5-dev,
 libpcap0.8-dev,
 libtirpc-dev,
 pkg-config
Standards-Version: 4.6.0
Homepage: http://nfswatch.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git
Rules-Requires-Root: no

Package: nfswatch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Program to monitor NFS traffic for the console
 Nfswatch is a command-line tool for monitoring NFS traffic. It can capture and
 analyze the NFS packets on a particular network interface or on all interfaces.
 .
 It mostly monitors NFS client traffic (NFS requests). it also monitors the NFS
 reply traffic from a server in order to measure the response time for each RPC.

=== debian/rules ===
#!/usr/bin/make -f

# Variable name for injection further CFLAGS into build
# is not optimally chosen as it relates to rpm builds
export RPM_OPT_FLAGS+=$(shell dpkg-buildflags --get CFLAGS)
export RPM_OPT_FLAGS+=$(shell pkg-config --cflags libtirpc)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- MANSUF=8 STRIP=

## nfswatch 4.99.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.11 2009/02/01 23:33:37 c4chris Exp $
+# $Id$
 #
 # Makefile for nfswatch.
 #
@@ -45,7 +45,7 @@
 SVR4CFLAGS=	-DSVR4 -O
 ULTRIXCFLAGS=	-DULTRIX -O
 DECOSFCFLAGS=	-DDECOSF -O
-LINUXCFLAGS=	-DLINUX -O -Wall -W $(RPM_OPT_FLAGS)
+LINUXCFLAGS=	-DLINUX -O -Wall -W $(shell pkg-config --cflags libtirpc) $(RPM_OPT_FLAGS)
 
 IRIX40LIBS=	-lcurses -ltermcap -lsun -lm
 IRIX51LIBS=	-lcurses -ltermcap -lm
@@ -58,7 +58,7 @@
 ULTRIXLIBS=	-lcurses -ltermcap -lm
 #DECOSFLIBS=	-lcurses -ltermcap -lm
 DECOSFLIBS=	-lcurses -ltermcap -lm pfopen.c
-LINUXLIBS=	-lpcap -lncurses -lm
+LINUXLIBS=	-lpcap $(shell pkg-config --libs libtirpc) -lncurses -lm
 
 CFLAGS=
 LIBS=

=== debian/changelog ===
nfswatch (4.99.12-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:18 +1100

nfswatch (4.99.12-1build2) noble; urgency=medium

  * No-change rebuild against libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 17:02:39 +0100

nfswatch (4.99.12-1build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:31:20 +0000

nfswatch (4.99.12-1) unstable; urgency=medium

  * New upstream version 4.99.12
    - Drop patches applied upstream
  * Declare compliance with Debian policy 4.6.1
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Aug 2022 08:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: nfswatch
 Section: admin
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libncurses5-dev,
  libpcap0.8-dev,
  libtirpc-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://nfswatch.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
 Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git

## nfswatch 4.99.13

=== debian/changelog ===
nfswatch (4.99.13-1) unstable; urgency=medium

  * New upstream version 4.99.13
    - Fixes FTCBFS: Do not hard-code the build architecture pkg-config
      (Closes: #1067119)
  * Drop patches applied upstream
  * Declare compliance with Debian policy 4.6.2
  * Update copyright years for debian/* packaging files
  * Replace Build-Depends on pkg-config with pkgconf
  * Replace Build-Depends on libncurses5-dev with libncurses-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 21 Mar 2024 14:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: nfswatch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libncurses5-dev,
+ libncurses-dev,
  libpcap0.8-dev,
  libtirpc-dev,
- pkg-config
-Standards-Version: 4.6.1
+ pkgconf
+Standards-Version: 4.6.2
 Homepage: http://nfswatch.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
 Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git

## nfswatch 4.99.14

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 INSTALL=install
 MANSUF=	8.gz
 STRIP=	-s
+PKG_CONFIG?= pkg-config
 
 IRIX40CFLAGS=	-DIRIX40 -O -cckr
 IRIX51CFLAGS=	-DIRIX51 -DIRIX40 -O -cckr -D_BSD_SIGNALS
@@ -45,7 +46,7 @@
 SVR4CFLAGS=	-DSVR4 -O
 ULTRIXCFLAGS=	-DULTRIX -O
 DECOSFCFLAGS=	-DDECOSF -O
-LINUXCFLAGS=	-DLINUX -O -Wall -W $(shell pkg-config --cflags libtirpc) $(RPM_OPT_FLAGS)
+LINUXCFLAGS=	-DLINUX -O -Wall -W $(shell $(PKG_CONFIG) --cflags libtirpc) $(RPM_OPT_FLAGS)
 
 IRIX40LIBS=	-lcurses -ltermcap -lsun -lm
 IRIX51LIBS=	-lcurses -ltermcap -lm
@@ -58,7 +59,7 @@
 ULTRIXLIBS=	-lcurses -ltermcap -lm
 #DECOSFLIBS=	-lcurses -ltermcap -lm
 DECOSFLIBS=	-lcurses -ltermcap -lm pfopen.c
-LINUXLIBS=	-lpcap $(shell pkg-config --libs libtirpc) -lncurses -lm
+LINUXLIBS=	-lpcap $(shell $(PKG_CONFIG) --libs libtirpc) -lncurses -lm
 
 CFLAGS=
 LIBS=

=== debian/changelog ===
nfswatch (4.99.14-1) unstable; urgency=medium

  * New upstream version 4.99.14
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Feb 2025 16:59:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libpcap0.8-dev,
  libtirpc-dev,
  pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://nfswatch.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
 Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git
